# $Revision: 1.10 $, $Date: 2008-01-27 21:48:02 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	A library for Microsoft compression formats
Summary(pl.UTF-8):	Biblioteka do formatów kompresji używanych przez Microsoft
Name:		libmspack
Version:	0.0.20060920alpha
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.kyz.uklinux.net/libmspack/%{name}-%{version}.tar.gz
# Source0-md5:	72003dfa5da2e843e3d5ae0c18f7c969
URL:		http://www.kyz.uklinux.net/libmspack/
BuildRequires:	gcc >= 5:3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of libmspack is to provide compressors and decompressors,
archivers and dearchivers for Microsoft compression formats: CAB, CHM,
HLP, KWAJ, LIT and SZDD. It is also designed to be easily embeddable,
stable, robust and resource-efficient.

%description -l pl.UTF-8
Celem libmspack jest dostarczenie kompresorów i dekompresorów,
archiwizerów i dearchiwizerów dla formatów kompresji używanych przez
Microsoft: CAB, CHM, HLP, KWAJ, LIT i SZDD. Ponadto biblioteka została
zaprojektowana tak, by być łatwo osadzalna, stabilna, mocna i wydajna
pod względem zasobów.

%package devel
Summary:	Header files for libmspack library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmspack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmspack library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmspack.

%package static
Summary:	Static libmspack library
Summary(pl.UTF-8):	Statyczna biblioteka libmspack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmspack library.

%description static -l pl.UTF-8
Statyczna biblioteka libmspack.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libmspack.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,css,png}
%attr(755,root,root) %{_libdir}/libmspack.so
%{_libdir}/libmspack.la
%{_includedir}/mspack.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libmspack.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmspack.spec,v $
Revision 1.10  2008-01-27 21:48:02  qboosh
- updated Source URL

Revision 1.9  2007-12-29 00:41:07  glen
- rel 2

Revision 1.8  2007-08-29 19:46:09  witekfl
- added bcond_without static_libs

Revision 1.7  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.5  2006/09/27 09:53:00  qboosh
- updated to 0.0.20060920alpha

Revision 1.4  2006/04/22 17:41:05  glen
- gcc epoch

Revision 1.3  2005/10/13 20:07:13  qboosh
- BR: sed 4

Revision 1.2  2005/10/13 19:29:51  qboosh
- don't use "this" as parameter name in mspack.h (broke C++ compilation)
- release 2

Revision 1.1  2005/10/13 17:38:52  qboosh
- new
